| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::TrackListModel Class Reference
Inheritance diagram for Digikam::TrackListModel:

## Public Member Functions
| TrackListModel (TrackManager *const trackManager, QObject *const parent)
int | columnCount (const QModelIndex &parent=QModelIndex()) const override
QVariant | data (const QModelIndex &index, int role=Qt::DisplayRole) const override
Qt::ItemFlags | flags (const QModelIndex &index) const override
TrackManager::Track | getTrackForIndex (const QModelIndex &index) const
QVariant | headerData (int section, Qt::Orientation orientation, int role) const override
QModelIndex | index (int row, int column, const QModelIndex &parent=QModelIndex()) const override
QModelIndex | parent (const QModelIndex &index) const override
int | rowCount (const QModelIndex &parent=QModelIndex()) const override
bool | setData (const QModelIndex &index, const QVariant &value, int role) override
bool | setHeaderData (int section, Qt::Orientation orientation, const QVariant &value, int role) override

## Member Function Documentation

## ◆ headerData()

QVariant Digikam::TrackListModel::headerData | ( | int | section,
|  | Qt::Orientation | orientation,
|  | int | role
| ) |  | const
| override

## ◆ index()

QModelIndex Digikam::TrackListModel::index | ( | int | row,
|  | int | column,
|  | const QModelIndex & | parent = `QModelIndex()`
| ) |  | const
| override